qpid::console::Value Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
qpid::console::Value Class Reference

`#include <qpid/console/Value.h>`

List of all members.

## Public Types
typedef boost::shared_ptr< Value > | Ptr
## Public Member Functions
virtual | ~Value ()
virtual std::string | str () const =0
virtual bool | isNull () const
virtual bool | isObjectId () const
virtual bool | isUint () const
virtual bool | isInt () const
virtual bool | isUint64 () const
virtual bool | isInt64 () const
virtual bool | isString () const
virtual bool | isBool () const
virtual bool | isFloat () const
virtual bool | isDouble () const
virtual bool | isUuid () const
virtual bool | isMap () const
virtual ObjectId | asObjectId () const
virtual uint32_t | asUint () const
virtual int32_t | asInt () const
virtual uint64_t | asUint64 () const
virtual int64_t | asInt64 () const
virtual std::string | asString () const
virtual bool | asBool () const
virtual float | asFloat () const
virtual double | asDouble () const
virtual framing::Uuid | asUuid () const
virtual framing::FieldTable | asMap () const

## Member Typedef Documentation

typedef boost::shared_ptr<Value> qpid::console::Value::Ptr

Definition at line 42 of file Value.h.

## Constructor & Destructor Documentation

virtual qpid::console::Value::~Value | ( |  | ) | `[inline, virtual]`

Definition at line 43 of file Value.h.

## Member Function Documentation

virtual bool qpid::console::Value::asBool | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::BoolValue.

Definition at line 65 of file Value.h.

virtual double qpid::console::Value::asDouble | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::DoubleValue, and qpid::console::FloatValue.

Definition at line 67 of file Value.h.

virtual float qpid::console::Value::asFloat | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::FloatValue.

Definition at line 66 of file Value.h.

virtual int32_t qpid::console::Value::asInt | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::IntValue.

Definition at line 61 of file Value.h.

virtual int64_t qpid::console::Value::asInt64 | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::Int64Value, and qpid::console::IntValue.

Definition at line 63 of file Value.h.

virtual framing::FieldTable qpid::console::Value::asMap | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::MapValue.

Definition at line 69 of file Value.h.

virtual ObjectId qpid::console::Value::asObjectId | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::RefValue.

Definition at line 59 of file Value.h.

virtual std::string qpid::console::Value::asString | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::StringValue.

Definition at line 64 of file Value.h.

virtual uint32_t qpid::console::Value::asUint | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::UintValue.

Definition at line 60 of file Value.h.

virtual uint64_t qpid::console::Value::asUint64 | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::Uint64Value, and qpid::console::UintValue.

Definition at line 62 of file Value.h.

virtual framing::Uuid qpid::console::Value::asUuid | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::UuidValue.

Definition at line 68 of file Value.h.

virtual bool qpid::console::Value::isBool | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::BoolValue.

Definition at line 53 of file Value.h.

virtual bool qpid::console::Value::isDouble | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::DoubleValue, and qpid::console::FloatValue.

Definition at line 55 of file Value.h.

virtual bool qpid::console::Value::isFloat | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::FloatValue.

Definition at line 54 of file Value.h.

virtual bool qpid::console::Value::isInt | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::IntValue.

Definition at line 49 of file Value.h.

virtual bool qpid::console::Value::isInt64 | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::Int64Value, and qpid::console::IntValue.

Definition at line 51 of file Value.h.

virtual bool qpid::console::Value::isMap | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::MapValue.

Definition at line 57 of file Value.h.

virtual bool qpid::console::Value::isNull | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::NullValue.

Definition at line 46 of file Value.h.

virtual bool qpid::console::Value::isObjectId | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::RefValue.

Definition at line 47 of file Value.h.

virtual bool qpid::console::Value::isString | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::StringValue.

Definition at line 52 of file Value.h.

virtual bool qpid::console::Value::isUint | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::UintValue.

Definition at line 48 of file Value.h.

virtual bool qpid::console::Value::isUint64 | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::Uint64Value, and qpid::console::UintValue.

Definition at line 50 of file Value.h.

virtual bool qpid::console::Value::isUuid | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::console::UuidValue.

Definition at line 56 of file Value.h.

virtual std::string qpid::console::Value::str | ( |  | ) | const`[pure virtual]`

Implemented in qpid::console::MapValue, qpid::console::UuidValue, qpid::console::DoubleValue, qpid::console::FloatValue, qpid::console::BoolValue, qpid::console::StringValue, qpid::console::Int64Value, qpid::console::Uint64Value, qpid::console::IntValue, qpid::console::UintValue, qpid::console::RefValue, and qpid::console::NullValue.

The documentation for this class was generated from the following file:

- qpid/console/Value.h